
#include "main.h"
#include "info_bar.h"
#include "map.h"

extern int hilight_item;
extern Map map;

VertexInfoBar::VertexInfoBar(wxWindow *parent)
:	InfoBar(parent)
{
	wxBoxSizer *hbox = new wxBoxSizer(wxHORIZONTAL);
	SetSizer(hbox);

	// Main frame
	main_frame = new wxStaticBox(this, -1, "No Vertex Hilighted");
	wxFont def_font = main_frame->GetFont();
	def_font.SetWeight(wxFONTWEIGHT_BOLD);
	main_frame->SetFont(def_font);
	wxStaticBoxSizer *box = new wxStaticBoxSizer(main_frame, wxVERTICAL);
	hbox->Add(box, 1, wxEXPAND|wxRIGHT, 4);

	label_x = new wxStaticText(this, -1, "X Position:");
	label_y = new wxStaticText(this, -1, "Y Position:");

	box->Add(label_x);
	box->Add(label_y);

	SetSizeHints(-1, 128, -1, 128);
};

VertexInfoBar::~VertexInfoBar()
{
}

void VertexInfoBar::update()
{
	if (hilight_item == -1)
	{
		main_frame->SetLabel("No Vertex Hilighted");
		label_x->SetLabel("X Position:");
		label_y->SetLabel("Y Position:");
	}
	else
	{
		main_frame->SetLabel(parse_string("Vertex #%d", hilight_item).c_str());
		label_x->SetLabel(parse_string("X Position: %d", map.verts[hilight_item]->x).c_str());
		label_y->SetLabel(parse_string("Y Position: %d", map.verts[hilight_item]->y).c_str());
	}

	Layout();
}
