
#include "main.h"
#include "prefs_dialog.h"

PrefsDialog::PrefsDialog()
:	wxDialog(NULL, -1, _T("Preferences"), wxDefaultPosition, wxDefaultSize)//, wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER)
{
	wxBoxSizer *m_vbox = new wxBoxSizer(wxVERTICAL);
	SetSizer(m_vbox);

	tabs = new wxNotebook(this, -1);
	m_vbox->Add(tabs, 1, wxEXPAND|wxALL, 2);

	tabs->AddPage(new VisualPrefs(tabs), "Visual");
	tabs->AddPage(new ColourPrefs(tabs), "Colours");
	tabs->AddPage(new InputPrefs(tabs), "Input");
	tabs->AddPage(new RenderPrefs(tabs), "3d Mode");
	tabs->AddPage(new MiscPrefs(tabs), "Misc");

	m_vbox->Add(CreateButtonSizer(wxOK), 0, wxEXPAND|wxALL, 4);

	Layout();
	SetBestFittingSize();
	//SetSize(300, -1);
}

PrefsDialog::~PrefsDialog()
{
}
